Subject: bug#11558: closed (Re: bug#11558: 24.1.50; Image Magick related build failure on bzr revision 108365)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Jul 2012 12:28:02 +0000

Your bug report

#11558: 24.1.50; Image Magick related build failure on bzr revision 108365

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11558: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11558
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11558: 24.1.50; Image Magick related build failure on bzr revision 108365
From: Jan Djärv <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: Kalle Kankare <[email-masked]>, [email-masked]
Date: Fri, 13 Jul 2012 14:21:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

I installed the patch, lets see if it fails on some version :-).

Thanks,

	Jan D.

13 jul 2012 kl. 09:03 skrev Tassilo Horn:

> Jan Djärv <[email-masked]> writes:
> 
>>> I got the build to complete by introducing the following change:
>>> 
>>> --- src/image.c	2012-07-09 12:02:27 +0000
>>> +++ src/image.c	2012-07-11 19:59:24 +0000
>>> @@ -7968,7 +7968,9 @@
>>>  Lisp_Object typelist = Qnil;
>>>  size_t numf = 0;
>>>  ExceptionInfo ex;
>>> +  GetExceptionInfo(&ex);
>>>  char **imtypes = GetMagickList ("*", &numf, &ex);
>>> +  DestroyExceptionInfo(&ex);
>>>  size_t i;
>>>  Lisp_Object Qimagemagicktype;
>>>  for (i = 0; i < numf; i++)
>>> 
>>> 
>>> The generated emacs-binary at least appears to function properly. I
>>> tested this with the following versions:
>>> 
>>> emacs: bzr:109033
>>> gcc: 4.7.1
>>> ImageMagick: 6.7.8-1
>> 
>> I see this too.  Can it be that GetExceptionInfo/DestroyExceptionInfo
>> is version dependent and we need a configure check for them? People
>> have run Emacs with Imagemagic without this.
> 
> I build and run emacs with imagemagick support just fine.  The IM
> version is 6.7.7.5, so it might be a version difference between 6.7.7
> and 6.7.8.
> 
> I also tried building and running with the above patch, and it doesn't
> seem to cause any harm.
> 
> Bye,
> Tassilo

Subject: 24.1.50; Image Magick related build failure on bzr revision 108365
From: Eric Schulte <[email-masked]>
To: [email-masked]
Date: Fri, 25 May 2012 09:35:01 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

For the past week or so the Emacs bzr HEAD has failed to build with
image magick support.  The following error is signaled [1].  I'm running
a 64-but Arch GNU-Linux system, and other Arch users have noticed this
problem as well [2].  As Arch tries to include the latest version of all
tools this is likely due to a conflict with the most recent version of
imagemagick.  I have the following version installed [3].

Please let me know if there is any other information I can provide.

Thanks,

Footnotes: 
[1]  $ make build
     ...
     temacs: magick/exception.c:968: ThrowMagickExceptionList: Assertion `exception->signature == 0xabacadabUL' failed.
     /bin/sh: line 5: 17636 Aborted                 `/bin/pwd`/temacs --batch --load loadup bootstrap

[2]  https://bbs.archlinux.org/viewtopic.php?id=140037

[3]  $ convert --version
     Version: ImageMagick 6.7.6-8 2012-05-01 Q16 http://www.imagemagick.org
     Copyright: Copyright (C) 1999-2012 ImageMagick Studio LLC
     Features: OpenMP 

-- 
Eric Schulte
http://cs.unm.edu/~eschulte